Remove bin_dir
ClosedPublic

Authored by demon on Dec 20 2017, 4:33 AM.

Details

Reviewers
mmodell
Group Reviewers
Release-Engineering-Team
Commits
rMSCA8a47138ca440: Remove bin_dir
Patch without arc
git checkout -b D930 && curl -L https://phabricator.wikimedia.org/D930?download=true | git apply
Summary

As we all rightly pointed out this week: bin_dir is a relic of when scap lived in /srv/deployment/*. Now that's just confusing and patch files are a pain to maintain. Instead, assume callers know how to install software and it's in their $PATH somewhere.

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
demon created this revision.Dec 20 2017, 4:33 AM
Restricted Application added a reviewer: mmodell. · View Herald TranscriptDec 20 2017, 4:33 AM
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald Transcript
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
demon requested review of this revision.Dec 20 2017, 4:34 AM
mmodell accepted this revision.Dec 20 2017, 4:35 AM
mmodell awarded a token.
This revision is now accepted and ready to land.Dec 20 2017, 4:35 AM
demon updated this revision to Diff 2452.Dec 22 2017, 12:25 AM

Restore get_script_path() and make it return sane things

mmodell accepted this revision.Dec 23 2017, 12:48 AM
This revision was automatically updated to reflect the committed changes.